1

[alpine-devel] [PATCH] testing/py-cryptography: new aport

AmatCoder
Details
Message ID
<1418293229-9213-1-git-send-email-amatcoder@gmail.com>
Sender timestamp
1418293229
DKIM signature
missing
Download raw message
Patch: +41 -0
---
 testing/py-cryptography/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-cryptography/APKBUILD

diff --git a/testing/py-cryptography/APKBUILD b/testing/py-cryptography/APKBUILD
new file mode 100644
index 0000000..84c8ad8
--- /dev/null
+++ b/testing/py-cryptography/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: August Klein <amatcoder@gmail.com>
+# Maintainer: August Klein <amatcoder@gmail.com>
+pkgname=py-cryptography
+_pkgname=cryptography
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="A package which provides cryptographic recipes and primitives"
+url="http://pypi.python.org/pypi/cryptography"
+arch="all"
+license="ASL 2.0"
+depends=""
+depends_dev="python-dev"
+makedepends="$depends_dev py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/c/cryptography/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1c48fd78742d85c9cffdcceb6809e45b  cryptography-0.6.1.tar.gz"
+sha256sums="024910130a01eda0ce969764d893d2e397168ebb94181ca1ea3e23e19912329e  cryptography-0.6.1.tar.gz"
+sha512sums="b99338bbbeb70f37e0bfcc6ef33ddff5beb74f7876a30d34deb3a433ddd77f821e5cc5dde228f792362ae7a261d4ceb3b702fb1a8c30ce15a1e6e4de98ef1afa  cryptography-0.6.1.tar.gz"
-- 
2.2.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141216152217.44bccaad@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1418293229-9213-1-git-send-email-amatcoder@gmail.com> (view parent)
Sender timestamp
1418739737
DKIM signature
missing
Download raw message
On Thu, 11 Dec 2014 10:20:29 +0000
AmatCoder <amatcoder@gmail.com> wrote:

> ---
>  testing/py-cryptography/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 41 insertions(+)
>  create mode 100644 testing/py-cryptography/APKBUILD

applied and added openssl-dev and libffi-dev to makedepends.

thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---